/***
Project: Wdif
Coder: Kalenzo
Web: http://www.fxservice.eu
Contact: contact@fxservice.eu   or bartlomiej.gorski@gmail.com
***/
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red
#property indicator_separate_window
#property indicator_maximum 1
#property indicator_minimum 0

extern int 	curr_SMA = 5,
			curr_EMA = 21,
			prev_EMA = 21,
			prev_SMA = 5;
			
double tup[],tdn[];
int bigS;

int init()	
{
	SetIndexBuffer(0,tup);
	SetIndexBuffer(1,tdn);
	
	SetIndexStyle(0,DRAW_HISTOGRAM,STYLE_SOLID,3);
	SetIndexStyle(1,DRAW_HISTOGRAM,STYLE_SOLID,3);
	
	//SetIndexEmptyValue(0,0.0);
	//SetIndexEmptyValue(1,0.0);
	
	SetIndexLabel(0,"TREND UP");
	SetIndexLabel(1,"TREND DOWN");

	IndicatorShortName("WDIF_v1 by KALENZO");	
	return(0);
}	
int start()
{	
	int limit;
	int counted_bars = IndicatorCounted();
	if(counted_bars<0) return(-1);
	if(counted_bars>0) counted_bars--;
	limit = Bars-counted_bars;
	 
	for(int i=0; i<limit; i++)
    {
		bigS = iBarShift(Symbol(),PERIOD_W1,Time[i],false);
		
		double curr_EMAv = iMA(NULL,PERIOD_W1,curr_EMA,0,MODE_EMA,PRICE_MEDIAN,bigS);
		double curr_SMAv = iMA(NULL,PERIOD_W1,curr_SMA,0,MODE_SMA,PRICE_MEDIAN,bigS);
		double prev_EMAv = iMA(NULL,PERIOD_W1,prev_EMA,0,MODE_EMA,PRICE_MEDIAN,bigS+1);
		double prev_SMAv = iMA(NULL,PERIOD_W1,prev_SMA,0,MODE_SMA,PRICE_MEDIAN,bigS+1);
				
		double WDiff=((curr_SMAv-curr_EMAv) - (prev_SMAv-prev_EMAv));
		
		if (WDiff > 0)
		{
			tup[i] = 1;
			tdn[i] = 0;
		}		
		else
		{
			tup[i] = 0;
			tdn[i] = 1;
		}

	}
	
	return(0);
}	


